@charset "utf-8";*{margin:0px;padding:0px;font-family:"Microsoft YaHei";font-size:15px;box-sizing:border-box;transition:all .2s}
body{color:#353a44;background:#eee}
a{color:#373E4E;text-decoration:none}
a:hover{color:#7485e3;text-decoration:none}
li{margin:8px 0px;list-style:none}
svg{vertical-align:middle}
input::-webkit-input-placeholder,textarea::-webkit-input-placeholder{color:#b3bbce}
input{color:#525D76;resize:none;outline:none;height:28px;line-height:28px;padding:0px 10px;box-sizing:border-box;border:1px solid #cccedb;vertical-align:middle;border-radius:2px}
input[readonly="readonly"]{cursor:not-allowed}
textarea{color:#525D76;width:100%;resize:none;outline:none;padding:10px;box-sizing:border-box;overflow-y:auto;border:1px solid #888888;line-height:20px;font-size:15px}
.headline{color:#3d434f;font-size:20px;width:100%;overflow:hidden;position:relative;clear:both;padding-bottom:15px;margin-bottom:30px;border-bottom:1px solid #e7e7e7;display:flex;justify-content:space-between;align-items:center;}
.headline a{display:inline-block;color:#373e4e;background:#e8e9ef;padding:4px 20px;border-radius:3px;margin-left:10px;}
.headline a:hover,.headline a.active{background:#FF5722;color:#ffffff;}
.btn{font-size:14px;color:#fff;background:#7c828f;padding:0px 25px;border:none;height:28px;line-height:28px;margin:10px 0px;display:inline-block;cursor:pointer;vertical-align:middle;border-radius:2px;white-space:nowrap;text-decoration:none!important}
.btn:hover{color:#fff;background:#545e74}
.btn-blue{background:#768fe7}
.btn-blue:hover{color:#fff;background:#677ecf}
.empty{text-align:center;padding:40px;color:#767883;}
/* 板块 */
.box{margin-bottom:15px;box-shadow:1px 1px 5px rgb(0 0 0 / 5%);background:#fff;border-radius:4px;overflow:hidden;flex:1}
.box-name{width:100%;display:flex;align-items:center;padding:15px;border-bottom:1px solid #f1f1f1;font-weight:bold}
.box-name:before{content:"";width:2px;height:12px;background:#616978;display:inline-block;margin-right:10px}
.box-main{padding:10px}
.tip{background:#f6f6f8;padding:8px 10px;vertical-align:middle;margin-bottom:10px;border-radius:2px;border:1px solid #f3f3f7}
.tip span{color:#000;font-weight:bold;margin:0px 5px}
.tip.tip-red{color:#4A4A4A;background:#FFF7F6;border:1px solid #f4ebe9}
.login{padding:40px;position:absolute;width:600px;height:200px;margin:auto;top:0;left:0;right:0;bottom:0;}
.login [name=vcode]{width:100px;border-right:none;margin-right:-9px;}
/* 头部 */
.header{font-size:22px;display:flex;justify-content:space-between;align-items:center;flex-wrap:wrap;background:#3E4454;position:fixed;width:100%;top:0;left:0;z-index:9;padding:7px 20px}
.header .icon-menu{display:none}
.header-title{display:flex;align-items:center;color:#E9EEFF}
.header-title a{color:#FFF;text-decoration:none}
.header-title img{height:16px;margin-right:5px}
.header-menu{display:flex;flex-wrap:wrap;align-items:center;flex:1;justify-content:right;}
.header a{padding:0 5px;text-decoration:none;font-size:14px;color:#E9EEFF}
.header a:hover{text-decoration:none}
.header-menu a:hover{color:#dce1fe}
.header-menu-left a:first-child{border-left:1px solid #6c718c;padding-left:16px}
.header-menu-right{margin-left:auto;display:flex;align-items:center}
.header-menu span._line{font-size:7px;height:13px;width:1px;background:#a7a8ad;overflow:hidden;display:inline-block;margin:0 3px}
.header-menu span._drop{font-size:7px;height:2px;width:2px;background:#a7a8ad;margin:0 3px;display:inline-block}
/*内容*/
.main{position:relative;width:1210px;min-height:calc(100vh - 80px);margin:0 auto;padding-top:50px}
.content{display:flex}
/*底部*/
.footer{margin:40px auto 0;padding:10px 0;display:flex;justify-content:space-between;align-items:center;width:1210px;color:#5b5e70;background:none}
.footer a{text-decoration:none;color:#7485e3}
.footer *{font-size:14px}
.footer-left span{margin-right:10px}
.footer-right span{margin-left:10px}
/*侧栏*/
.sidebar{flex:0 0 245px;margin-left:15px}
.sidebar-tag{padding:15px}
/* 验证码 */
.vcode-img{height:28px;cursor:pointer;vertical-align:middle;}
.login .vcode-img{border:1px solid #c3c7db;border-radius:2px;border-left-color:#e7e9f6;padding-left:5px;}
.vcode-input{width:80px;border:none;border-radius:0;border-left:1px solid #c3c7db;height:20px;line-height:20px;}
/* 评论 */
.comment{padding:40px;word-break:break-all;}
.comment-info{display:flex;border-bottom:1px solid #9094ab;}
.comment-info-item{flex:1;display:flex;align-items:center}
.comment-info-item label{width:100px;display:inline-block;text-align:center;border-right:1px solid #c3c7db;}
.comment-info-item input{border:none;width:100%}
.comment-form textarea{height:121px;border:none}
.comment-form{border:1px solid #9094ab;}
.comment-submit{display:flex;align-items:center;margin-top:-1px;border:1px solid #9094ab;}
.comment-submit .btn{border-radius:0;background:#9094ab;color:#ffffff;margin:0;border-right:1px solid #9094ab;}
.comment-list+.paging{padding-left:0}
.comment-list .comment-list{margin-left:25px}
.comment-user{color:#4CAF50;display:inline-block}
.comment-admin>.comment-title .comment-user{color:#F44336}
.comment-time{color:#999999;margin-left:10px}
.comment-title a{color:#F44336;margin-left:10px}
.comment li{color:#525d76;padding:15px 0;border-bottom:1px solid #f6f6f6;margin:0}
.comment li:last-child{border-bottom:none}
.comment p{margin-bottom:0}
.comment-reply{margin:0 5px;cursor:pointer}
.comment-replys{margin-left:15px}
.comment-replys span{margin-left:8px;color:#3f51b5;text-align:center;border:1px solid #3f51b5;border-radius:2px;padding:1px 4px;font-size:12px;cursor:pointer}
/* 分页 */
.paging{padding:20px;font-size:16px;display:table;margin-bottom:20px}
.paging a{padding:10px;margin-left:-1px;border-top:none;border-right:none;border-left:none;border-image:initial;border-bottom:2px solid #EAEAEA;text-decoration:none}
.paging a:hover{border-top:none;border-right:none;border-left:none;border-image:initial;background:none;border-bottom:2px solid #7485e3;color:#7485e3}
.paging a.paging-active{color:#7485e3;background:none;border-top:none;border-right:none;border-left:none;border-image:initial;border-bottom:2px solid #7485e3}
.paging-prev:hover,.paging-next:hover{color:#696A6B;background:#FFF;border-top:none;border-right:none;border-left:none;border-image:initial;border-bottom:2px solid #696A6B}
.paging-disabled{cursor:not-allowed;color:#a4a7b7!important;border-bottom:2px solid #EAEAEA!important}
.paging-ell{padding:10px;display:inline-block;border-bottom:2px solid #EAEAEA}
/*文章列表*/
.list-headline{display:flex;justify-content:space-between;align-items:center;margin:20px 0 10px}
.list-headline form{margin-left:auto;width:auto;flex:initial}
.list-headline form .btn{margin:0;margin-left:-10px}
.list{padding:10px 0}
.list li{padding:8px 20px;list-style:none;margin:5px 0 0;width:100%;display:flex}
.list li:hover{background:#f5f5f5}
.list a{text-decoration:none;overflow:hidden;text-overflow:ellipsis;white-space:nowrap;flex:1}
.list span{color:#a7a8ac;font-size:14px;display:inline-block;white-space:nowrap;min-width:100px;text-align:center;flex:0 0 100px}
.list span:first-child{flex:1;text-align:left}
.list-title span{color:#373e4e;white-space:nowrap;min-width:100px;text-align:center}
.list-title span:first-child{flex:1;text-align:left}
.top a{color:#fb7a89}
.private a{color:#4CAF50}
/* 弹窗 */
.alert{position:fixed;top:0px;left:0px;z-index:99990;width:100%;height:100%;display:flex;align-items:center}
.alert-box{width:300px;background:#FFF;position:relative;margin:auto;inset:0px;box-shadow:rgba(0,0,0,0.13) 4px 4px 10px;border-radius:2px}
.alert-bg{width:100%;height:100%;margin:0px auto;background:#000;opacity:0.15;top:0px;left:0px;position:fixed}
.alert-content{font-size:16px;position:relative;padding:20px}
.alert-footer{width:100%;border-top:1px solid #F3F3F3;padding:10px;text-align:right}
.alert-footer > div{padding:0px 10px;height:25px;line-height:25px;cursor:pointer;display:inline-block}
.alert-cancel{color:#888888}
.alert-cancel:hover{color:#768FE7}
.alert-confirm{background:#948CD1;color:#FFF;border-radius:2px}
.alert-confirm:hover{background:#677ECF;color:#FFF}
/* 文章 */
.article{padding:40px}
.article-title{font-size:30px;padding-top:20px;text-align:center}
.article-info{color:#a1a4b1;margin-top:-12px}
.article-info span{margin:0 10px 0 0;font-size:13px}
.article-info a{color:#a1a4b1;font-size:inherit}
.article-content{margin:50px 0}
.article-menu{display:flex;place-content:flex-start space-between;flex-wrap:wrap;align-items:center;border-top:1px solid #eee;padding-top:15px}
/* 提示页 */
.prompt{text-align:center;box-shadow:1px 1px 5px rgb(0 0 0 / 5%);background:#fff;border-radius:4px;padding:40px;flex:1}
.prompt-title{color:#768FE7;display:inline-block;margin-bottom:20px}
.prompt-footer a{color:#939393}
.prompt-footer a:hover{color:#768FE7}
/* 简述 */
.intro{text-align:center;padding:50px 0;flex:0 0 100%}
.intro-title{font-size:30px;padding-top:50px}
.intro-info{margin-top:5px;color:#888}
.intro-info span{margin:0 7px}
.intro-info a{color:#888}
.intro-info a:hover{color:#7485e3}
.intro-content{font-size:20px;font-weight:300;margin:10px}
.intro-btn{padding-top:10px}
.intro-btn a{display:inline-block}
.intro-btn img{width:80px;height:80px;}
.intro-logo{padding-top:5px}
.intro-logo a{display:inline-block}
.intro-logo img{width:150px;height:150px;}
/* 效果预览 */
.preview img{display:none;height:fit-content}
.preview img.active{display:block}
.preview{margin:50px auto;text-align:center;border-radius:5px;position:relative;width:100%}
.preview-header{background:#444b5b;border-radius:5px 5px 0 0;padding:5px 10px;display:flex;align-items:center;display:none}
.preview-header span{width:13px;height:13px;border-radius:13px;background:#F44336;display:inline-block;margin-right:10px}
.preview-header span:nth-child(2){background:#e4d623}
.preview-header span:nth-child(3){background:#8BC34A}
.preview-header div{color:#fff;text-align:center;flex:1}
.preview-img{border:1px solid #e9e9e9;border-top:none;overflow:hidden;display:flex;border-radius:5px;height:650px;width:100%}
.preview-dot{position:absolute;right:-40px;top:50px}
.preview-dot span{display:block;width:20px;height:20px;line-height:20px;font-size:13px;display:block;margin:10px 0;border-radius:50%;cursor:pointer;color:#9a9fb9}
.preview-dot span.active,.preview-dot span:hover{background:#8d98ad;color:#fff}
/* 用户信息 */
.user{padding:15px;text-align:center}
.user img{width:80px;height:80px;border-radius:50%;margin-top:10px}
.user-name{margin:10px;font-size:17px}
.user-info{display:flex;justify-content:space-between;margin:20px 0;color:#757784}
.user-info div div{font-weight:bold;color:#353535;margin-top:10px}
.search{display:flex;align-items:center}
.search input[name=name]{width:159px;border:1px solid #aaaeb7}
.search .btn{padding:0 15px;margin-left:-2px;}
/* 特点 */
.feature{color:#494c58;margin:100px 0;}
.feature .title{font-size:19px;margin-top:50px;}
.feature .title::before{content:"";width:3px;height:16px;background:#545667;display:inline-block;margin-right:8px}
.feature text{font-size:12px}
.feature a{color:#6875bc}
.feature img{width:100px;height:100px;}
.feature p{line-height:25px;margin-bottom:5px;font-size:15px;color:#5c606c}
.banner{margin-bottom:15px;box-shadow:1px 1px 5px rgb(0 0 0 / 5%);border-radius:4px;display:flex;overflow:hidden;background:url(../img/banner.jpg)}
/* 应用 */
.app{margin-bottom:15px;box-shadow:1px 1px 5px rgb(0 0 0 / 5%);background:#fff;border-radius:4px;overflow:hidden;padding:40px;flex:1}
.app-menu{display:flex;align-items:center;width:100%;margin-bottom:20px}
.app-menu a{color:#373e4e;background:#e8e9ef;padding:0 25px;border:none;height:25px;line-height:25px;display:inline-block;text-decoration:none!important;cursor:pointer;vertical-align:middle;margin-right:5px;border-radius:2px}
.app-menu a.active{color:#ffffff;background-color:#373e4e}
.app-menu a:hover{color:#ffffff;background-color:#5c667e}
.app-view{margin-top:20px}
.app-view-main{display:flex;margin-bottom:30px}
.app-view-img{flex:0 0 250px;width:250px;height:250px;overflow:hidden;border-radius:5px;box-shadow:rgba(0,0,0,0.2) 1px 1px 9px;margin-right:50px;position:relative}
.app-view-img img{width:100%;display:block}
.app-view-free{position:absolute;top:3px;right:-47px;background:#4CAF50;color:#FFF;padding:3px 50px;transform:rotate(45deg);font-size:13px}
.app-view-content{margin-bottom:20px}
.app-view-name{font-size:24px}
.app-view-name span{font-size:13px;background:#97A5FB;color:#FFF;display:inline-block;padding:2px 7px;border-radius:2px;margin-left:10px;vertical-align:middle}
.app-view-intro{font-size:15px;color:#888888;margin-top:10px}
.app-view-info{color:#999999;margin-top:20px;display:flex;flex-wrap:wrap}
.app-view-info-item{margin-right:50px;border-right:1px solid #EEE;padding-right:50px}
.app-view-info-item p{margin-bottom:5px}
.app-view-info-item p a{color:#8291EA}
.app-view-info-item:last-child{border-right:none}
.app-view-promote{margin:10px 0px}
.app-view-promote span{color:#FFF;background:#4CAF50;display:inline-block;padding:2px 10px;margin-right:15px}
.app-view-price{font-size:20px;color:var(--red);margin-right:20px;vertical-align:middle}
.app-view-btn{height:32px;line-height:32px;font-size:16px;display:inline-block;background:#373E4E;color:#FFF;padding:0px 20px;border-radius:2px;margin-top:20px}
@media (max-width:768px){
.app-menu{display:block;background:none}
.app-menu>*{display:block;margin-bottom:5px}
.app-view-main{display:block;}
.app-view-box{margin-top:20px;}
.app-view-info-item{margin-right:0;border-right:none;padding-right:0;}
}
.tpl{padding:0px;display:flex;flex-wrap:wrap}
.tpl a{text-decoration:none}
.tpl li{color:#525D76;width:250px;padding:5px;margin:16px;list-style:none;/* background:#f6f6f8;*/
border-radius:2px;/* border:1px solid #f0f0f4;*/
display:flex;flex-wrap:wrap;}
.tpl-icon{width:100%;position:revert}
.tpl-icon img{width:100%;border-radius:2px;object-fit:cover;/* box-shadow:0 0 5px rgb(0 0 0 / 16%);*/
border:1px solid #f0f0f4;}
.tpl-price{color:#FF5C29;margin-right:auto}
.tpl-free{color:#67B26A;margin-right:auto}
.tpl-name{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}
.tpl-version{color:#AEAEAE;margin-left:5px;font-size:13px}
.tpl-info{margin-top:8px}
.tpl-btn{display:inline-block;background:#373E4E;padding:1px 8px;font-size:13px;cursor:pointer;text-decoration:none;border-radius:2px;margin-right:3px;color:#FFF!important}
.tpl-btn:hover{color:#FFF;background:#21242A}
.tpl-operate{margin-top:8px;display:flex;align-items:center}
.tpl-use{display:inline-block;font-size:13px;margin-right:10px}
.ext{margin-top:15px}
.ext li{color:#525D76;padding:10px 0px;border-bottom:1px solid #F6F6F6;margin:0px;display:flex;align-items:center}
.ext li:last-child{border-bottom:none}
.ext-icon{width:40px;height:40px;flex:0 0 40px;border-radius:2px;overflow:hidden}
.ext-icon img{width:100%}
.ext-info{margin-left:10px;flex:1 1 0%}
.ext-name{color:#4CAF50;min-width:145px;display:flex;align-items:center}
.ext-name a{text-decoration:none}
.ext-install .ext-name{color:#4CAF50}
.ext-update{color:var(--red);margin-left:10px}
.ext-version{color:#AEAEAE;margin:0px 10px;font-size:13px}
.ext-btn{color:#FFF;display:inline-block;background:#373E4E;padding:1px 8px;font-size:13px;cursor:pointer;margin:0px 5px;text-decoration:none;border-radius:2px}
.ext-btn:hover{color:#FFF;background:#21242A}
.ext-tag{color:#FFF;display:inline-block;background:#A6AFC3;padding:1px 8px;font-size:13px;margin-left:10px;border-radius:2px}
.ext-intro{color:#999999}
.tab{position:relative;margin-bottom:20px}
.tab-menu{font-size:14px;min-height:40px;position:relative;user-select:none;white-space:nowrap;overflow-x:auto;display:flex;align-items:end}
.tab-menu a{color:#585858;padding:0px 20px;height:32px;line-height:32px;display:inline-block;cursor:pointer;background:#F5F5F5;vertical-align:bottom;position:relative;-webkit-user-drag:none;text-decoration:none;margin-right:5px}
.tab-menu a:hover{background:#919AAD;color:#FFF}
.tab-menu a.active{background:#3e4454;height:32px;line-height:32px;color:#FFF;z-index:1}
.tab-menu-left{line-height:40px}
.tab-menu-left a{margin-right:0px}
.tab-menu-right{line-height:40px;margin-left:auto}
.tab-menu-right a{margin-left:5px}
.tab-main{width:100%;background:#FFF;padding:20px;position:relative;border:1px solid #b6bfd1;margin-top:-1px}
.tab-content{display:none}
.tab-content.active{display:block}
.link-list{display:block;margin-top:20px;}
.link-list a{text-decoration:none;display:inline-block;padding:12px 20px;border-radius:7px;margin-right:15px;margin-bottom:15px;}
.link-list a:hover{box-shadow:2px 2px 5px rgb(0 0 0 / 20%);}
.link-index-list a{text-decoration:none;display:inline-block;padding:2px 10px;border-radius:2px;margin-right:10px;margin-bottom:10px;}
.link-index-list a:hover{box-shadow:2px 2px 5px rgb(0 0 0 / 20%);}
.color1{color:#009688 !important;background:#f4fff4;border:1px solid #009688}
.color2{color:#F44336 !important;background:#fff3f2;border:1px solid #F44336;}
.color3{color:#673AB7 !important;background:#f4eeff;border:1px solid #673AB7;}
.color4{color:#2196F3 !important;background:#e9f5ff;border:1px solid #2196F3;}
.color5{color:#4CAF50 !important;background:#f1fff1;border:1px solid #4CAF50;}
.color6{color:#FF9800 !important;background:#fff8ed;border:1px solid #FF9800;}
.color7{color:#FF5722 !important;background:#fff3ef;border:1px solid #FF5722;}
.title{font-size:16px;width:100%;background:inherit;overflow:hidden;position:relative;margin:30px 0px 15px;clear:both;display:flex;align-items:center;color:#21252d}
.title::before{content:"";width:3px;height:12px;background:#3B4071;display:inline-block;margin-right:5px}
.title span{font-weight:bold}
.title a{margin-left:5px;text-decoration:underline;color:#626262;margin-top:3px;}
/* 动画 */
.ani-in{animation:.6s in}
.ani-out{animation:.6s out}
.ani-up-in{animation:.6s upIn}
.ani-down-in{animation:.6s downIn}
@keyframes in{0%{opacity:0}
100%{opacity:1}
}
@keyframes out{0%{opacity:1}
100%{opacity:0}
}
@keyframes upIn{0%{opacity:0;transform:translate3d(0px,-10%,0px)}
100%{opacity:1;transform:translate3d(0px,0px,0px)}
}
@keyframes downIn{0%{opacity:0;transform:translate3d(0px,10%,0px)}
100%{opacity:1;transform:translate3d(0px,0px,0px)}
}
/* 自适应 */
@media (max-width:768px){
body{background:#fff}
.box{box-shadow:none;flex:0 0 100%}
.article,.comment,.login{padding:0;}
.login{width:100%;position:relative;}
.login [name=password]{width:100%}
.article-content{margin:20px 0}
.banner{display:none}
.header{display:block;}
.header a{font-size:15px;}
.header-menu{margin-top:6px;justify-content:left;}
.header-menu a:first-child{padding-left:0px}
.main{display:block;width:100%;padding-top:60px}
.intro{padding:0}
.intro-title{font-size:25px;padding-top:30px}
.intro-content{font-size:16px}
.preview{margin:0;padding:20px}
.sidebar{flex:0 0 100%;margin-left:0}
.sidebar .box{display:none}
.sidebar .user{display:block}
.user{padding:20px}
.preview img{width:100%}
.preview-img{height:initial}
.feature{padding:20px}
.content{display:flex;flex-direction:column-reverse;flex-wrap:wrap}
.list a{padding:0;text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:block;width:100%}
.list span{display:none}
.list-title span{display:none}
.list-title span:first-child{display:block}
.footer{display:block;width:100%;padding:10px;margin:0}
}
.sponsor{margin:90px 0;}
.form{margin:20px 0px;display:flex}
.key{display:inline-block;width:88px;padding-right:10px;vertical-align:top;line-height:25px;font-weight:bold;}
.value{flex:1 1 0%;line-height:25px;display:flex;align-items:center;flex-wrap:wrap}
.value input[type="text"],.value input[type="password"],.value input[type="number"]{width:100%}
.value label{cursor:pointer;display:flex;align-items:center;}
.value label input{margin-right:5px;}
.value small{color:#8c94a6;font-size:14px;flex:0 0 100%}
.form .btn{margin-left:88px;background:#7589f9;height:30px;line-height:30px;padding:0 40px;}
/* 自定义未选中状态 */
 input[type="checkbox"]{
 -webkit-appearance:none;
 appearance:none;
 width:20px;
 height: 19px;
 border:1px solid #7589f9;/* 边框颜色 */
 border-radius: 2px;
 outline:none;
 transition:background-color 0.3s;
 cursor:pointer;
 }
/* 自定义选中状态 */
 input[type="checkbox"]:checked{background-color:#7589f9;/* 背景颜色 */
 border-color:#7589f9;/* 边框颜色 */
}
/* 自定义选中状态后的对号 */
 input[type="checkbox"]:checked::after{content:'';display:block;width:4px;height:10px;border:solid white;border-width:0 2px 2px 0;transform:rotate(45deg);margin-left:-2px;margin-top:1px;}

